import { action, makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";
import baseHttp from '@/service/base';

class DepConfig {
    static LIST: string = "/v1/dep/list"
    static ADD: string = "/v1/dep"
    static DELETE: string = "/v1/dep"
    static EDIT: string = "/v1/dep"
    static ORG: string = "/v1/dep/org"
}
class DepStore extends BaseStore<TagDataType> {
    constructor() {
        super(DepConfig)
        makeObservable(this, {
            getOrg:action
        })
    }
    async getOrg(){
        return await baseHttp.get(DepConfig.ORG,{})
    }
}

export const depStore = new DepStore();
 